//远程数据控制
function DataGet(para,func,data){
	if(typeof(func)!='function') return;
	var url='http://i.xuezizhai.com/index.php?s=85000204';
	for(var i in para)
	{
		url+="&"+i+"="+para[i];
	}
	url+='&t='+Math.random();
	if(typeof(data)=='object')
	{
		$api.post(url,{body: 'String',values:data},
		function(ret){
			if(ret)
			{
				ret=$api.strToJson($api.trim(ret));
				if(ret.status<0)
				{
					Member.check(ret,para,func,data);
				}
				else
				{
					func && func(ret);
				}
			}
		},'text');
	}
	else
	{
		$api.get(url,function(ret){
			if(ret)
			{
				ret=$api.strToJson($api.trim(ret));
				if(ret.status<0)
				{
					Member.check(ret,para,func);
				}
				else
				{
					func && func(ret);
				}
			}
		},'text');
	}
}
//模板控制
var WebOpen={
	config:'',
	localdir:'widget://',//模板存地址
	cachedir:'fs://templete/',//模板缓存地址
	remotedir:'http://i.xuezizhai.com/data/xuezizhai/0.0.4/',//远程模板地址
	init:function(func){
		this.getconfig(function(ret){
			if(typeof(func)=='function')
			{
				func && func();
			}
			var item={inc:'temp',cm:'tempconfig'};
			DataGet(item,function(ret){
				if(ret.status==3)
				{
					if(ret.data.iscache==1)//开启缓存
					{
						var re=TempUi.init();
						if(re.tempcache==1) ret.data.tempcache=1;
						WebOpen.saveconfig(ret.data);
					}
					else
					{
						TempUi.del();//删除缓存
						WebOpen.saveconfig(ret.data);
					}
				}
				else
				{
					api.toast({msg:'获取配置失败'});
				}
			})
		},1);
	},
	saveconfig:function(config){//保存配置
		this.config=config;
		$api.setStorage('Fs_temp',config);
	},
	getconfig:function(func,isload){//获取系统配置
		if(this.config)
		{
			if(typeof(func)=='function')
			{
				func && func(this.config);
			}
			return;
		}
		this.config=$api.getStorage('Fs_temp');
		if(typeof(this.config)=='object')
		{
			if(typeof(func)=='function')
			{
				func && func(this.config);
			}
			if(!isload) return;
			func='';
		}
		else//系统默认配置
		{
			var config={iscache:0,tempcache:0};
			WebOpen.saveconfig(config);
			if(typeof(func)=='function')
			{
				func && func(config);
			}
		}
	},
	getlocalfile:function(name){//缓存地址
		return this.localdir+'html/'+name+'.html';
	},
	getcachefile:function(name){//缓存地址
		return this.cachedir+'html/'+name+'.html';
	},
	getreomotefile:function(name){//远程地址
		return this.remotedir+'html/'+name+'.html';
	},
	Win:{
		open:function(item){
			if(typeof(item)!='object') return;//对象不存在
			if(typeof(item.url)!='undefined')//打开网址
			{
				WebOpen.Win.deal(item.url,item.url,item);
				return;
			}
			if(typeof(item.name)=='undefined') return;//模板为定义
			WebOpen.getconfig(function(ret){
				if(ret.iscache==2)//远程模板
				{
					WebOpen.Win.remote(item);
				}			
				else if(ret.iscache==1 && ret.tempcache==1)//缓存模板
				{
					WebOpen.Win.cache(item);
				}
				else//本地地址
				{
					WebOpen.Win.local(item);
				}	
			});
		},
		cache:function(item){//打开缓存地址
			var url=WebOpen.getcachefile(item.name);
			var fs = api.require('fs');
			fs.exist({
				path:url
			}, function(ret, err){
				if (ret.exist)//缓存地址
				{
					WebOpen.Win.deal(item.name,url,item);
				}
				else //本地地址
				{
					WebOpen.Win.local(item);
					TempUi.cache();
				}
			});
		},
		remote:function(item){//打开远程地址
			var url=WebOpen.getreomotefile(item.name);
			WebOpen.Win.deal(item.name,url,item);
		},
		local:function(item){//打开本地地址
			var url=WebOpen.getlocalfile(item.name);
			WebOpen.Win.deal(item.name,url,item);
		},
		deal:function(name,url,item){
			url+='?';
			if(item.id)
			{
				url+='&id='+item.id;
				name+='_'+item.id;
			}
			//随机数防止缓存
			url+='&t='+Math.random();
			var para={};
			if(typeof(item.para)!='undefined') para=item.para;
			var reload=false;
			if(item.reload) reload=true;
			api.openWin({
				name:name,
				url:url,
				pageParam:para,
				bounces: false,
				opaque: false,
				bgColor:  'rgba(255,255,255,0)',
				vScrollBarEnabled:false,
				hScrollBarEnabled:true,
				reload:reload
			});
		},
		close:function(){//关闭窗口
			//回调函数
			if(typeof(api.pageParam.script)=='object')
			{
				api.execScript(api.pageParam.script);
			}
			//回调页面
			if(typeof(api.pageParam.back)=='object')
			{
				OpenWinFrame.Win.open(api.pageParam.back);
			}
			setTimeout('api.closeWin()',800);
		}
	},
	Frame:{
		open:function(item){
			if(typeof(item)!='object') return;//对象不存在
			if(typeof(item.url)!='undefined')//打开网址
			{
				WebOpen.Frame.deal(item.url,item.url,item);
				return;
			}
			if(typeof(item.name)=='undefined') return;//模板为定义
			WebOpen.getconfig(function(ret){
				if(ret.iscache==2)//远程模板
				{
					WebOpen.Frame.remote(item);
				}			
				else if(ret.iscache==1 && ret.tempcache==1)//缓存模板
				{
					WebOpen.Frame.cache(item);
				}
				else//系统模板
				{
					WebOpen.Frame.local(item);
				}		
			});
		},
		cache:function(item){//打开缓存地址
			var url=WebOpen.getcachefile(item.name);
			var fs = api.require('fs');
			fs.exist({
				path:url
			}, function(ret, err){
				if (ret.exist)//打开缓存
				{
					WebOpen.Frame.deal(item.name,url,item);
				}
				else //本地路径
				{
					WebOpen.Frame.remote(item);
					TempUi.cache();
				}
			});
		},
		remote:function(item){//打开远程地址
			var url=WebOpen.getreomotefile(item.name);
			WebOpen.Frame.deal(item.name,url,item);
		},
		local:function(item){//打开本地地址
			var url=WebOpen.getlocalfile(item.name);
			var fs = api.require('fs');
			fs.exist({
				path:url
			}, function(ret, err){
				if (ret.exist)//打开缓存
				{
					WebOpen.Frame.remote(item);
				}
				else //本地路径
				{
					WebOpen.Frame.deal(item.name,url,item);
				}
			});
		},
		deal:function(name,url,item){
			url+='?';
			if(item.id)
			{
				url+='&id='+item.id;
				name+='_'+item.id;
			}
			//随机数防止缓存
			url+='&t='+Math.random();
			var para={};
			if(typeof(item.para)!='undefined') para=item.para;
			var x=item.x || 0;//左边距离
			var y=item.y || 0;//上边距离
			var w=item.w || 'auto';//宽度
			var h=item.h || api.frameHeight-y;//高度
			var pageParam=item.pageParam || {};//传递的参数
			var bounces=item.bounces || false;
			var opaque=item.opaque || false;
			var bgColor=item.bgColor || '';
			var vScrollBarEnabled=item.vScrollBarEnabled || true;
			var hScrollBarEnabled=item.hScrollBarEnabled || true;
			var reload=item.reload || false;
			api.openFrame({
				name: name,
				url: url,
				rect:{
					x:x,
					y:y,
					w:w,
					h:h
				},
				pageParam:pageParam,
				bounces: bounces,
				opaque: opaque,
				bgColor:bgColor,
				vScrollBarEnabled:vScrollBarEnabled,
				hScrollBarEnabled:hScrollBarEnabled,
				reload:reload
			});
		},
		close:function(){//关闭Iframe
			//回调函数
			if(typeof(api.pageParam.script)=='object')
			{
				api.execScript(api.pageParam.script);
			}
			//回调页面
			if(typeof(api.pageParam.back)=='object')
			{
				OpenWinFrame.Win.open(api.pageParam.back);
			}
			setTimeout('api.closeFrame()',800);
		}
	},
	FrameGroup:{// frame 组
		open:function(item){
			if(typeof(item)!='object') return;//对象不存在
			if(typeof(item.url)!='undefined')//打开网址
			{
				WebOpen.FrameGroup.deal(item.url,item.url,item);
				return;
			}
			if(typeof(item.name)=='undefined') return;//模板为定义
			WebOpen.getconfig(function(ret){
				if(ret.iscache==2)//远程模板
				{
					WebOpen.FrameGroup.remote(item);
				}			
				else if(ret.iscache==1 && ret.tempcache==1)//缓存模板
				{
					WebOpen.FrameGroup.cache(item);
				}
				else//系统模板
				{
					WebOpen.FrameGroup.local(item);
				}		
			});
		},
		cache:function(item){//打开缓存地址
			var url=WebOpen.getcachefile(item.name);
			var fs = api.require('fs');
			fs.exist({
				path:url
			}, function(ret, err){
				if (ret.exist)//缓存地址
				{
					WebOpen.FrameGroup.deal(item.name,url,item);
				}
				else //本地地址
				{
					WebOpen.FrameGroup.local(item);
					TempUi.cache();
				}
			});
		},
		remote:function(item){//打开远程地址
			var url=WebOpen.getreomotefile(item.name);
			WebOpen.FrameGroup.deal(item.name,url,item);
		},
		local:function(item){//打开本地地址
			var url=WebOpen.getlocalfile(item.name);
			WebOpen.FrameGroup.deal(item.name,url,item);
		},
		deal:function(name,url,item){
			if(typeof(item.pageParam)!='object') return;
			var Frames=[];
			for(var i=0;i<item.pageParam.length;i++)
			{
				Frames[i]={
					name:name+i, 
					url: url, 
					pageParam:item.pageParam[i], 
					bounces:false, 
					opaque:true,
					bgColor: '#FFFFFF', 
					vScrollBarEnabled:false,
					hScrollBarEnabled:false
				};
			}
			var index=item.index || 0;
			var x=item.x || 0;
			var y=item.y || 0;
			var w=item.w || 'auto';
			var h=item.h || 'auto';
			api.openFrameGroup ({
				name: item.groupname,
				background:'#FFFFFF',
				scrollEnabled: true,
				rect:{x:x, y:y, w:w, h:h},
				index:index,
				frames:Frames
				}, 
				function(ret, err){
					if(typeof(item.func)=='function')
					{
						item.func && item.func(ret.index);
					}
			});
		}
	},
	Download:{
		check:function(item){
			var para={inc:'temp',cm:'filecheck',dir:WebOpen.config.dir,name:item.name};
			DataGet(para,function(ret){
				if(ret.status==3)
				{
					var size=ret.data.size;
					var filemtime=ret.data.filemtime;
					var path=WebOpen.getcachefile(item.name);
					var fs = api.require('fs');
					fs.getAttribute({
						path:path
					}, function(ret, err)
					{
						if (ret.status)
						{
							if(ret.attribute.size!=size || ret.attribute.modificationDate<filemtime)
							{
								WebOpen.Download.down(item);
							}
						}
					});
				}
			});
		},
		down:function(item){
			var url=WebOpen.getreomotefile(item.name);
			var path=WebOpen.getcachefile(item.name);
			api.download({
				url : url,
				savePath : path,
				report : false,
				cache : false,
				allowResume : true
			}, function(ret, err){
				if (ret)
				{
					if (ret.state == 1)
					{
						api.toast({msg:'成功'});
					}
				}
				else
				{
					var value = err.msg;
				};
			});
		},
	}
}

var TempCache={
	FS:'',
	Dir:['css','image','script','html'],
	isdir:function(config){
		this.FS = api.require('fs');
		this.FS.exist({
			path: this.getnewPath()
		}, function(ret, err) {
			if (ret.exist){
				WebOpen.saveconfig(config);
				//模板已经缓存
				TempUi.init();
			}
			else
			{
				TempCache.init(TempCache.Dir);
			}
		});
	},
	init:function(rootdir,root){
		root=root || '';
		for(var i=0;i<rootdir.length;i++)
		{
			if(rootdir[i].indexOf('.')!=-1) continue;
			var dir=root+rootdir[i];
			this.copy(dir);
			this.sun(dir);
		}
	},
	sun:function(rootdir){
		this.FS.readDir({
			path: this.getoldPath(rootdir)
		}, function(ret, err){
			if (ret.status)
			{
				if(ret.data.length>0) TempCache.init(ret.data,rootdir+'/');
			}
			else
			{
				api.toast({msg:err});
			}
		});
	},
	copy:function(dir){//复制内容
		this.FS.copyTo({
			oldPath: this.getoldPath(dir),
			newPath: this.getnewPath(dir)
		}, function(ret, err) {
			if (ret.status)
			{
				//api.toast({msg:ret});
			}
			else
			{
				api.toast({msg:err});
			}
		});
	},
	getoldPath:function(dir){
		dir=dir || '';
		return WebOpen.localdir+dir;
	},
	getnewPath:function(dir){
		dir=dir || '';
		return WebOpen.cachedir+dir;
	}
}
//更新模板格式
TempUi={
	lists:[],
	config:'',
	fs:'',
	init:function(){//初始化
		this.getconfig();
		if(this.config.iscache==0)//需要缓存
		{
			if(this.config.isdeal==1)
			{
				var timestamp = Date.parse(new Date());
				var nowtime = timestamp / 1000;
				if(nowtime-this.config.dealtime>10*60)
				{
					this.config.formattime=0;
					this.config.dealtime = nowtime;
					this.setconfig();
					this.start();
				}
			}
			else
			{
				this.config.formattime=0;
				var timestamp = Date.parse(new Date());
				this.config.dealtime = timestamp / 1000;
				this.config.isdeal=1;			
				this.setconfig();
				this.start();
			}
		}
		else
		{
			var timestamp = Date.parse(new Date());
			var nowtime = timestamp / 1000;	
			if(nowtime-this.config.time>4*1*1)//24小时检测更新
			{
				if(this.config.isdeal==0)
				{
					this.config.dealtime = nowtime;
					this.config.isdeal=1;			
					this.setconfig();
					this.start();
				}
				else
				{
					if(nowtime-this.config.dealtime>10*60)
					{
						this.config.dealtime = nowtime;
						this.setconfig();
						this.start();
					}
				}
			}
		}
		return this.config;
	},
	setconfig:function(){//设置配置
		$api.setStorage('TempUi_config',this.config);
	},
	getconfig:function(){//获取配置
		this.config=$api.getStorage('TempUi_config') || {formattime:0,iscache:0,time:0,tempcache:0,isdeal:0,dealtime:0};
	},
	cache:function(){//是否检测
		this.getconfig();
		this.config.iscache=0;
		this.config.tempcache=0;
		this.setconfig();
		api.execScript({
			name: 'root',
			script: 'TempUi.init()'
		});
	},
	del:function(){//删除缓存
		this.getconfig();
		this.config.iscache=0;
		this.config.tempcache=0;
		this.setconfig();
		var fs = api.require('fs');
		fs.remove({
			path:WebOpen.cachedir
		}, function(ret, err) {
			if (ret.status)
			{
				//api.toast({msg:ret});
			}
			else
			{
				//api.toast({msg:err});
			}
		});
	},
	start:function(){//开始检测
		this.fs = api.require('fs');
		var para={inc:'temp',cm:'format',formattime:this.config.formattime};
		DataGet(para,function(ret){
			if(ret.status==3)
			{
				TempUi.lists=ret.data;
				for(var i=0;i<TempUi.lists.length;i++)
				{
					TempUi.exit(i);
				}
			}
			else
			{
				var timestamp = Date.parse(new Date());
				TempUi.config.time = timestamp / 1000;
				TempUi.config.isdeal=0;
				TempUi.config.dealtime=0;
				TempUi.setconfig();
				api.toast({msg:'已经最新'});
			}
		})
	},
	getfile:function(key){//文件保存路径
		return WebOpen.cachedir+this.lists[key].name;
	},
	exit:function(key){ //检测文件是否存在
		this.fs.exist({
			path: this.getfile(key)
		}, function(ret, err){
			if (ret.exist)
			{
				TempUi.check(key);
			}
			else
			{
				TempUi.down(key);
			}
		});
	},
	check:function(key){//检测文件是否更新
		this.fs.getAttribute({
			path: this.getfile(key)
		}, function(ret, err)
		{
			if (ret.status)
			{
				if(ret.attribute.size!=TempUi.lists[key].size)
				{
					TempUi.lists[key].status=2;
					TempUi.down(key);
				}
				else
				{
					TempUi.lists[key].status=3;
					TempUi.count(key);
				}
			}
		});
	},
	down:function(key){
		var path=this.getfile(key);
		var url=TempUi.lists[key].url;
		api.download({
			url : url,
			savePath : path,
			report : false,
			cache : false,
			allowResume : true
		}, function(ret, err){
			if (ret)
			{
				if (ret.state == 1)
				{
					TempUi.lists[key].status=3;
					TempUi.count(key);
				}
				else if(ret.state == 2)
				{
					TempUi.lists[key].status=-1;
					TempUi.count(key);
				}
				var value = ('文件大小：' + ret.fileSize + '；下载进度：' + ret.percent + '；下载状态' + ret.state + '存储路径: ' + ret.savePath);
			}
			else
			{
				var value = err.msg;
			};
		});
	},
	count:function(key){//汇总统计
		if(this.config.formattime<this.lists[key].filemtime) this.config.formattime=this.lists[key].filemtime;
		for(var i=0;i<this.lists.length;i++)
		{
			if(typeof(this.lists[i].status)=='undefined')
			{
				return;
			}
			else if(this.lists[i].status<3)
			{
				return;
			}
		}
		this.config.iscache=1;
		this.config.tempcache=1;
		var timestamp = Date.parse(new Date());
		this.config.time = timestamp / 1000;
		this.config.isdeal=0;
		this.config.dealtime=0;
		this.setconfig();
		api.toast({msg:'缓存成功'});
	},
}
//会员登陆
var Member={
	func:'',
	islogin:function(func){//检测会员是否登陆
		//异步返回结果：
		api.getPrefs({
			key: 'member'
		}, function(ret, err)
		{
			if(ret.value)
			{
			　	try{
			　　　　var item=$api.strToJson(ret.value);
					if(typeof(item)=='object')
					{
						if(typeof(func)=='function')
						{
							func && func(item);
						}
					}
					else
					{
						Member.quit();
					}
				}
				catch(err)
				{
					Member.quit();
			　　}
				finally
				{
			　　 　　//document.writeln("开始执行finally块语句")
			　　}
			}
			else
			{
				Member.quit();
			}
		});
	},
	logincheck:function(func){//登陆状态检测
		//异步返回结果：
		api.getPrefs({
			key: 'member'
		}, function(ret, err)
		{
			if(ret.value)
			{
			　	try{
			　　　　var item=$api.strToJson(ret.value);
					if(typeof(item)=='object')
					{
						if(typeof(func)=='function')
						{
							func && func(3,item);
						}
						return;
					}
				}
				catch(err)
				{
					
			　　}
				finally
				{
			　　 　　//document.writeln("开始执行finally块语句")
			　　}
			}
			if(typeof(func)=='function')
			{
				func && func(1,'未登陆');
			}
		});
		
	},
	check:function(ret,para,func,data){//状态检测
		if(ret.status==-3)
		{
			this.islogin(function(user){
				para.deviceid=api.deviceId;
				para.userid=user.userid;
				DataGet(para,func,data);
			})		
		}
		else if(ret.status==-1)
		{
			this.quit();
		}
	},
	get:function(){//获取会员信息
		return $api.getStorage('member');
	},
	set:function(data){//设置会员信息
		var str=$api.jsonToStr(data);
		api.setPrefs({
			key: 'member',
			value: str
		});
	},
	loginback:function(){
		if(typeof(this.func)=='function')
		{
			this.loginmsg(this.func);
			this.func='';
		}
	},
	DataGet:function(item,func,data){//提交数据到服务器
		if(typeof(item)=='undefined') item={};
		item.inc='member';
		DataGet(item,function(ret){
			func && func(ret);
		},data)
	},
	loginmsg:function(func){//登陆提示
		//异步返回结果：
		api.getPrefs({
			key: 'member'
		}, function(ret, err)
		{
			if(ret.value)
			{
			　	try{
			　　　　var item=$api.strToJson(ret.value);
					if(typeof(item)=='object')
					{
						if(item.cl1==0 || typeof(item.cl1)=='undefined')
						{
							Member.openlevel(func);
						}
						else//当会员未选择年级时候，引导会员选择年级
						{
							if(typeof(func)=='function')
							{
								func && func(ret);
							}
						}
					}
					else
					{
						Member.openlogin(func);
					}
				}
				catch(err)
				{
					Member.openlogin(func);
			　　}
				finally
				{
			　　 　　//document.writeln("开始执行finally块语句")
			　　}
			}
			else
			{
				
				Member.openlogin(func);
			}
		});
	},
	openlogin:function(func){//打开登陆窗口
		this.func=func;
		var para={script:{name:api.winName,frameName:api.frameName,script:'Member.loginback()'}};
		var item={name:'member/login2',pageParam:para};
		item.bgColor='rgba(0 , 0, 0,0.7)';
		WebOpen.Frame.open(item);
	},
	openlevel:function(func){//打开选择年级
		var para={script:{name:api.winName,frameName:api.frameName,script:'Member.loginback()'}};
		var item={name:'member/levelsel',pageParam:para};
		WebOpen.Frame.open(item);
	},
	quit:function(){//退出登陆
		api.removePrefs({key: 'member'});
		var item={action:'quit'};
		DataGet(item,function(ret){
			//api.toast({msg:ret});
		})
		api.execScript({
			name: 'root',
			frameName: 'menu',
			script:'D.quit()'
		});
		api.closeToWin({name: 'root'});//关闭所有打开窗口
	}
}

//分享代码
var Share={
	title:'学子斋',
	description:'学子斋视频学习网站',
	url:'http://www.xuezizhai.com/',
	icon:'widget://image/logo.jpg',
	open:function(){
		var MNActionButton = api.require('MNActionButton');
		MNActionButton.open({
			layout : {
				row : 2, //（可选项）数字类型；每屏显示菜单按钮的行数；默认：2
				col : 3, //（可选项）数字类型；每屏显示菜单按钮的列数；默认：3
				rowSpacing : 10, //（可选项）数字类型；行与行之间的距离；默认：10
				colSpacing : 20, //（可选项）数字类型；列与列之间的距离；默认：10
				offset : 0 //（可选项）数字类型；整个菜单底部距离所属 window 底部的距离，只能为正整数；默认：0
			},
			animation : true, //（可选项）布尔类型；弹出和隐藏菜单时是否带弹出动画效果，true|false；默认：true
			autoHide : true, //（可选项）布尔类型；点击菜单按钮后是否自动隐藏菜单，true|false；默认：true
			styles : {
				maskBg : 'rgba(0,0,0,0.2)', //（可选项）字符串类型；遮罩层背景，支持 rgb，rgba，#，img；默认：rgba(0,0,0,0.2)
				bg : '#fff', //（可选项）字符串类型；菜单有效区域背景，支持 rgb，rgba，#，img；默认：#fff
				cancelButton : {//（可选项）JSON 对象类型，取消按钮设置
					size : 35, //（可选项）数字类型；底部取消按钮的高和宽；默认：44
					bg : '#fff', //（可选项）字符串类型；取消按钮的 100% 宽度的背景，支持rgb，rgba，#，img；默认：'#fff'
					icon : '', //（可选项）字符串类型：取消按钮的图标，要求本地路径（widget://、fs://）；默认：默认X型图标
				},
				item : {//（可选项）JSON 对象类型，菜单按钮设置
					titleColor : '#848484', //（可选项）字符串类型；菜单按钮文字颜色，支持 rgb，rgba，#；默认：#848484
					titleHighlight : 'dd2727', //（可选项）字符串类型；菜单按钮文字高亮颜色，支持 rgb，rgba，#；默认：同 titleColor
					titleSize : 12,                 //（可选项）数字类型；菜单按钮文字大小，同时也是文字栏所占高度，值为 0 时不显示文字栏；默认：12
				},
				indicator : {//（可选项）JSON 对象类型；页标指示器样式，若不传则不显示该指示器
					color : '#c4c4c4', //（可选项）字符串类型；其它页指示器颜色；支持rgb、rgba、#；默认：'#c4c4c4'
					highlight : '#9e9e9e' //（可选项）字符串类型；当前页指示器颜色；支持rgb、rgba、#；默认：'#9e9e9e'
				}
			},
			items : [{//JSON 对象类型；一个菜单项的设置信息
				icon : 'widget://image/share_qq.png', //（可选项）字符串类型；一个菜单按钮的图标，支持 rgb，rgba，#，img；默认：#fff
				title : 'QQ好友' //字符串类型；菜单按钮的文字；默认：未设置时不显示，但文字栏仍按 titleSize 设置显示高度
			}, {
				icon : 'widget://image/share_kj.png',
				highlight : 'widget://image/share_kj.png',
				title : 'QQ空间'
			}, {
				icon : 'widget://image/share_wx.png',
				highlight : 'widget://image/share_wx.png',
				title : '微信好友'
			}, {
				icon : 'widget://image/share_py.png',
				highlight : 'widget://image/share_py.png',
				title : '朋友圈'
			}, {
				icon : 'widget://image/share_wxsc.png',
				highlight : 'widget://image/share_wxsc.png',
				title : '收藏'
			}, {
				icon : 'widget://image/share_xl.png',
				highlight : 'widget://image/share_xl.png',
				title : '微博'
			}]
		}, function(ret, err) {
			if (ret)
			{
				if(ret.eventType=='cancel') return;
				if(ret.eventType=='click')
				{
					switch(ret.index)
					{
						case 0:
							Share.Qq.open('QFriend');
						break;
						case 1:
							Share.Qq.open('QZone');
						break;
						case 2:
							Share.Wxin.open('session');
						break;
						case 3:
							Share.Wxin.open('timeline');
						break;
						case 4:
							Share.Wxin.open('favorite');
						break;
						case 5:
							Share.Wxin.open('favorite');
						break;
					}
				}
			}
			else
			{
				api.toast({msg:err});
			}
		});
	},
	Wxin:{//微信分享
		yes:0,
		wx:'',
		open:function(scene){
			if(this.yes==0)
			{
				this.wx = api.require('wx');
				this.wx.isInstalled(function(ret, err){
					if(ret.installed)
					{
						Share.Wxin.yes=1;
						Share.Wxin.send(scene);
					}
					else
					{
						api.toast({msg:'未安装微信'});
					}
				});
			}
			else
			{
				this.send(scene);
			}
		},
		send:function(scene){
			var item=api.pageParam;
			var title= item.title || Share.title;
			var description= item.description || Share.description;
			var url= item.url || Share.url;
			var icon=item.icon || Share.icon;
			if(!scene) scene='timeline';
			this.wx.shareWebpage({
				scene: scene,
				title:title,
				description: description,
				thumb:icon,
				contentUrl: url
			}, function(ret, err){
				if(ret.status)
				{
					api.toast({msg:'分享成功'});
				}
				else
				{
					//api.toast({msg:err.code});
				}
			});
		}
	},
	Qq:{//微信分享
		yes:0,
		qq:'',
		open:function(type){
			if(this.yes==0)
			{
				this.qq = api.require('qq');
				this.qq.installed(function(ret,err){
					if(ret.status)
					{
						Share.Qq.yes=1;
						Share.Qq.send(type);
					}
					else
					{
						api.toast({msg:'未安装QQ'});
					}
				});
			}
			else
			{
				this.send(type);
			}
		},
		send:function(type){
			var item=api.pageParam;
			var title= item.title || Share.title;
			var description= item.description || Share.description;
			var url= item.url || Share.url;
			if(!type) type='QZone';
			this.qq.shareNews({
				url:url,
				title:title,
				description:description,
				imgUrl:'http://www.xuezizhai.com/skin/blue/image/logo.png',
				type:type
			}, function(ret, err){
				if(ret.status)
				{
					api.toast({msg:'分享成功'});
				}
				else
				{
					//api.toast({msg:err.code});
				}
			});
		}
	}
}
//联动模型数据
var Linkage={
	cachepath:'fs://linkage/',
	read:function(type,func){//获取联动数据列表
		if(typeof(type)=='undefined') return;
		//异步返回结果：
		api.readFile({
			path: Linkage.cachepath+type+'.json'
		}, function(ret, err){
			if (ret.status)
			{
				try{
					var data=$api.strToJson(ret.data);
					if(typeof(func)=='function')
					{
						func && func(data.lists);
					}
					var timestamp = Date.parse(new Date());
					var time = timestamp / 1000;
					var oldtime=parseInt(data.time)||0;
					if(time-oldtime>24*60*60)
					{
						Linkage.get(type);
					}
				}
				catch(err)
				{
					Linkage.get(type,func);
			　　}
				finally
				{
			　　 　　//document.writeln("开始执行finally块语句")
			　　}
			}
			else
			{
				Linkage.get(type,func);
			}
		});
	},
	cache:function(type,lists){//缓存数据
		if(typeof(lists)!='object') return;
		var data={lists:lists};
		var timestamp = Date.parse(new Date());
		data.time = timestamp / 1000;
		api.writeFile({
			path: Linkage.cachepath+type+'.json',
			data: $api.jsonToStr(data)
		}, function(ret, err) {
			if (ret.status)
			{
				//成功
			}
			else
			{

			}
		});
	},
	get:function(type,func){//远程获取
		item={'inc':'linkage',cm:'get'};
		item.type=type;
		DataGet(item,function(ret){
			if(ret.status==3)
			{
				Linkage.cache(type,ret.data);
				if(typeof(func)=='function')
				{
					func && func(ret.data);
				}
			}
			else
			{
				//api.toast({msg:'加载完毕'});
			}
		})
	}
}

//图片预览
var imageShow={
	Imgs:[],
	Srcs:[],
	s:function(){
		this.Imgs=$api.domAll('body img');
		if(this.Imgs.length>0)
		{
			for(var i=0;i<this.Imgs.length;i++)
			{
				$api.attr(this.Imgs[i],'onclick','imageShow.c('+i+')');
				this.Srcs[i]=$api.attr(this.Imgs[i],'src');
			}
		}
	},
	//相册展示图片
	c:function(index){
		if(!index) index=0;
		var obj = api.require('imageBrowser');
		obj.openImages({
			imageUrls: this.Srcs,
			showList:false,
			activeIndex:index
		});
	},
}
//缓存数据
var FScache={
	read:function(name,item,func,intval){//初始化
		if(typeof(item)!='object') return;
		var cachefile='fs://'+name+'.json';
		//异步返回结果：
		api.readFile({
			path: cachefile
		}, function(ret, err){
			if (ret.status)
			{
				try{
			　　　　var data=$api.strToJson(ret.data);
					if(typeof(func)=='function')
					{
						func && func(data.lists);
					}
					var timestamp = Date.parse(new Date());
					var nowtime = timestamp / 1000;
					var cachetime=parseInt(data.cachetime)||0;
					intval=intval || 24*60*60;
					if(nowtime-cachetime>intval)//间隔 一定时间访问服务器检测是否更新
					{
						item.time=data.time;
						data.cachetime=nowtime;
						FScache.get(name,item,'',data);
					}
				}
				catch(err)
				{
					item.time=0;
					FScache.get(name,item,func);
			　　}
				finally
				{
			　　 　　//document.writeln("开始执行finally块语句")
			　　}
			}
			else
			{
				item.time=0;
				FScache.get(name,item,func);
			}
		});
	},
	get:function(name,item,func,data){//远程服务器获取数据
		DataGet(item,function(ret){
			if(ret.status==3)
			{
				if(typeof(func)=='function')
				{
					func && func(ret.data.lists);
				}
				var timestamp = Date.parse(new Date());
				ret.data.cachetime = timestamp / 1000;
				FScache.cache(name,ret.data);
			}
			else if(ret.status==2)//未更新
			{
				FScache.cache(name,data);
			}
			else
			{
				//api.toast({msg:'加载完毕'});
			}
		})
	},
	cache:function(name,data){
		if(typeof(data)!='object') return;
		var cachefile='fs://'+name+'.json';
		api.writeFile({
			path: cachefile,
			data: $api.jsonToStr(data)
		}, function(ret, err){
			if (ret.status)
			{
				//成功
			}
			else
			{
				//失败
			}
		});
	},
}
//打开网址
var UrlOpen={
	index:function(index){//首页网址
		api.closeToWin({name: 'root'});
		if(typeof(index)=='undefined') return;
		var js='D.open('+index+')';
		api.execScript({
			name: 'root',
			frameName: 'menu',
			script: js
		});
	},
	News:{//新闻
		inc:'news',
		type:function(newstype){//分类
			var item={name:this.inc+'/type',para:{newstype:newstype}};
			WebOpen.Win.open(item);
		},
		article:function(aid){//内容
			var item={inc:this.inc,cm:'article'};
			item.aid=aid;
			DataGet(item,function(ret){
				if(ret.status==3)
				{
					if(ret.data.fromtype==1)//访问外部网址
					{
						var item={name:UrlOpen.News.inc+'/fromurl',id:aid,para:ret.data};
						WebOpen.Win.open(item);
					}
					else//内部内容
					{
						var item={name:UrlOpen.News.inc+'/article',id:aid,para:ret.data};
						WebOpen.Win.open(item);
					}
				}
				else
				{
					api.toast({msg:'失败'});
				}
			})
		},
		search:function(){//搜索
			UrlOpen.search(function(ret){
				var item={name:'news/search',para:{keyword:ret}};
				WebOpen.Win.open(item);
			})
		}
	},
	Khxt:{//答案
		inc:'khxt',
		type:function(aid){//分类
			var item={inc:this.inc,cm:'type'};
			item.aid=aid;
			DataGet(item,function(ret){
				if(ret.status==3)
				{
					var item={name:UrlOpen.Khxt.inc+'/type',para:ret.data};
					WebOpen.Win.open(item);
				}
				else
				{
					api.toast({msg:ret.data});
				}
			})
		},
		article:function(aid){//内容
			var item={inc:this.inc,cm:'article'};
			item.aid=aid;
			DataGet(item,function(ret){
				if(ret.status==3)
				{
					var item={name:UrlOpen.Khxt.inc+'/arc',id:aid,para:ret.data};
					WebOpen.Win.open(item);
				}
				else
				{
					api.toast({msg:ret.data});
				}
			})
		},
	},
	Shipin:{//视频
		inc:'shipin',
		type:function(aid){//分类
			var item={inc:this.inc,cm:'type'};
			item.aid=aid;
			DataGet(item,function(ret){
				if(ret.status==3)
				{
					var item={name:UrlOpen.Shipin.inc+'/type',para:ret.data};
					WebOpen.Win.open(item);
				}
				else
				{
					api.toast({msg:ret.data});
				}
			})
		},
		article:function(aid){//内容
			var item={inc:this.inc,cm:'article'};
			item.aid=aid;
			DataGet(item,function(ret){
				if(ret.status==3)
				{
					var item={name:UrlOpen.Shipin.inc+'/arc',id:aid,para:ret.data};
					WebOpen.Win.open(item);
				}
				else
				{
					api.toast({msg:ret.data});
				}
			})
		},
	},
	More:{//更多
		inc:'more',
		url:function(url){//分类
			str=url.replace(/ */gi,'');
			var preg="^http(s*):\/\/.*\.(com|cn|net|cc|info|org)(\/.*|)$";
			var patt = new RegExp(preg,'gi');
			ret_match = str.match(patt);
			if(ret_match==null) return;
			var item={name:UrlOpen.More.inc+'/url',para:{url:url}};
			WebOpen.Win.open(item);
		},
	},
	scan:function(){//扫描二维码
		var obj = api.require('FNScanner');
		obj.openScanner({
			sound: 'widget://res/6138.wav',
			autoLight: true,
			saveToAlbum: false
		}, function(ret){
			 if(ret)
			 {
				if(ret.eventType=='success')
				{
					str=ret.content.replace(/ */gi,'');
					var preg="^http(s*):\/\/.*\.(com|cn|net|cc|info|org)(\/.*|)$";
					var patt = new RegExp(preg,'gi');
					ret_match = str.match(patt);
					if(ret_match!=null)
					{
						UrlOpen.More.url(str);
					}
					else
					{
						api.toast({msg:ret.content});
					}
				}
			 }
		});
	},
	search:function(func,keyword){//搜索收入框
		var UISearchBar = api.require('UISearchBar');
		UISearchBar.open({
			placeholder: '请输入搜索关键字',
			historyCount: 10,
			showRecordBtn: true,
			texts:{
				cancelText: '取消',
				clearText: '清除搜索记录'
			},
			styles: {
				navBar: {
					bgColor: '#FFFFFF',
					borderColor: '#ccc'
				},
				searchBox: {
					bgImg: '',
					color: '#000',
					height: 44
				},
				cancel: {
					bg: 'rgba(0,0,0,0)',
					color: '#D2691E',
					size: 16
				},
				list: {
					color: '#696969',
					bgColor: '#FFFFFF',
					borderColor: '#eee',
					size: 16
				},
				clear: {
					color: '#000000',
					borderColor: '#ccc',
					size: 16
				}
			}
		}, function(ret, err){
			if (ret)
			{
				if(typeof(func)=='function')
				{
					func && func(ret.text);
				}
			}
			else
			{
				//alert(JSON.stringify(err));
			}
		});
		if(keyword)
		{
			UISearchBar.setText({
				text:keyword
			});
		}
	}
}
