var inc='zuowen';
//作文分类
var ZWtype={
	cachepath:'fs://zuowentype/',
	read:function(typeid,func){//获取联动数据列表
		if(typeof(typeid)=='undefined') typeid=0;
		//异步返回结果：
		api.readFile({
			path: ZWtype.cachepath+typeid+'.json'
		}, function(ret, err){
			if (ret.status)
			{
				try{
					var data=$api.strToJson(ret.data);
					if(typeof(func)=='function')
					{
						func && func(data.lists);
					}
					var timestamp = Date.parse(new Date());
					var time = timestamp / 1000;
					var oldtime=parseInt(data.time)||0;
					if(time-oldtime>24*60*60)
					{
						ZWtype.get(typeid);
					}
				}
				catch(err)
				{
					ZWtype.get(typeid,func);
			　　}
				finally
				{
			　　 　　//document.writeln("开始执行finally块语句")
			　　}
			}
			else
			{
				ZWtype.get(typeid,func);
			}
		});
	},
	cache:function(typeid,lists){//缓存数据
		if(typeof(lists)!='object') return;
		var data={lists:lists};
		var timestamp = Date.parse(new Date());
		data.time = timestamp / 1000;
		api.writeFile({
			path: ZWtype.cachepath+typeid+'.json',
			data: $api.jsonToStr(data)
		}, function(ret, err) {
			if (ret.status)
			{
				//成功
			}
			else
			{

			}
		});
	},
	get:function(typeid,func){//远程获取
		item={inc:inc,cm:'typelist'};
		item.typeid=typeid;
		DataGet(item,function(ret){
			if(ret.status==3)
			{
				ZWtype.cache(typeid,ret.data);
				if(typeof(func)=='function')
				{
					func && func(ret.data);
				}
			}
			else
			{
				ZWtype.cache(typeid,[]);
			}
		})
	}
}

//作文标签
var ZWtags={
	cachepath:'fs://zuowentype/tags.json',
	read:function(func){//获取联动数据列表
		if(typeof(typeid)=='undefined') typeid=0;
		//异步返回结果：
		api.readFile({
			path: ZWtags.cachepath
		}, function(ret, err){
			if (ret.status)
			{
				try{
					var data=$api.strToJson(ret.data);
					if(typeof(func)=='function')
					{
						func && func(data.lists);
					}
					var timestamp = Date.parse(new Date());
					var time = timestamp / 1000;
					var oldtime=parseInt(data.time)||0;
					if(time-oldtime>24*60*60)
					{
						ZWtags.get();
					}
				}
				catch(err)
				{
					ZWtags.get(func);
			　　}
				finally
				{
			　　 　　//document.writeln("开始执行finally块语句")
			　　}
			}
			else
			{
				ZWtags.get(func);
			}
		});
	},
	cache:function(lists){//缓存数据
		if(typeof(lists)!='object') return;
		var data={lists:lists};
		var timestamp = Date.parse(new Date());
		data.time = timestamp / 1000;
		api.writeFile({
			path: ZWtags.cachepath,
			data: $api.jsonToStr(data)
		}, function(ret, err) {
			if (ret.status)
			{
				//成功
			}
			else
			{

			}
		});
	},
	get:function(func){//远程获取
		item={inc:inc,cm:'tags'};
		DataGet(item,function(ret){
			if(ret.status==3)
			{
				ZWtags.cache(ret.data);
				if(typeof(func)=='function')
				{
					func && func(ret.data);
				}
			}
			else
			{
				api.toast({msg:ret.data});
			}
		})
	}
}

//高亮展示
function highshow(title,keyword){
	if(!title) return;
	var keyword=keyword.replace(/ */g,'');
	if(!keyword) return;
	var keywords=keyword.split('');
	keywords=unique(keywords);
	for(var j=0;j<keywords.length;j++)
	{
		var patt = new RegExp(keywords[j], 'g')
		title=title.replace(patt,'<span class="high">'+keywords[j]+'</span>');
	}
	return title;
}

function unique(arr) {
    var result = [], hash = {};
    for (var i = 0, elem; (elem = arr[i]) != null; i++)
	{
        if (!hash[elem])
		{
            result.push(elem);
            hash[elem] = true;
        }
    }
    return result;
}

//作文搜索
function ZWsearch(){
	var UISearchBar = api.require('UISearchBar');
	UISearchBar.open({
		placeholder: '请输入搜索关键字',
		historyCount: 10,
		showRecordBtn: true,
		texts:{
			cancelText: '取消',
			clearText: '清除搜索记录'
		},
		styles: {
			navBar: {
				bgColor: '#FFFFFF',
				borderColor: '#ccc'
			},
			searchBox: {
				bgImg: '',
				color: '#000',
				height: 44
			},
			cancel: {
				bg: 'rgba(0,0,0,0)',
				color: '#D2691E',
				size: 16
			},
			list: {
				color: '#696969',
				bgColor: '#FFFFFF',
				borderColor: '#eee',
				size: 16
			},
			clear:{
				color: '#000000',
				borderColor: '#ccc',
				size: 16
			}
		}
	}, function(ret, err){
		if (ret)
		{
			var item={name:inc+'/search',para:{keyword:ret.text}};
			WebOpen.Win.open(item);
		}
		else
		{
			//alert(JSON.stringify(err));
		}
	});
}